Bug 160813 - Make variant only available when compiling for C++14 or greater
Summary: Make variant only available when compiling for C++14 or greater
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sam Weinig
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-12 12:30 PDT by Sam Weinig
Modified: 2016-08-15 11:38 PDT (History)
5 users (show)

See Also:


Attachments
Patch (2.45 KB, patch)
2016-08-12 12:31 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (2.45 KB, patch)
2016-08-12 12:39 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (2.46 KB, patch)
2016-08-12 12:44 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (2.48 KB, patch)
2016-08-12 14:55 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sam Weinig 2016-08-12 12:30:52 PDT
Make variant only available when compiling for C++14 or greater
Comment 1 Sam Weinig 2016-08-12 12:31:10 PDT
Created attachment 285931 [details]
Patch
Comment 2 Sam Weinig 2016-08-12 12:39:15 PDT
Created attachment 285932 [details]
Patch
Comment 3 Saam Barati 2016-08-12 12:42:02 PDT
Comment on attachment 285932 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=285932&action=review

> Source/WTF/wtf/StdLibExtras.h:406
> +#if !COMPILER(CLANG) || WTF_CPP_STD_VER < 14

Don't you want >= here?
Comment 4 Sam Weinig 2016-08-12 12:44:15 PDT
Created attachment 285933 [details]
Patch
Comment 5 Sam Weinig 2016-08-12 12:44:22 PDT
(In reply to comment #3)
> Comment on attachment 285932 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=285932&action=review
> 
> > Source/WTF/wtf/StdLibExtras.h:406
> > +#if !COMPILER(CLANG) || WTF_CPP_STD_VER < 14
> 
> Don't you want >= here?

Ugh, yes.
Comment 6 Csaba Osztrogonác 2016-08-12 13:56:16 PDT
Why do we need this change? I thought c++14 is already mandatory.
Comment 7 Sam Weinig 2016-08-12 14:55:15 PDT
Created attachment 285958 [details]
Patch
Comment 8 WebKit Commit Bot 2016-08-12 16:36:48 PDT
Comment on attachment 285958 [details]
Patch

Clearing flags on attachment: 285958

Committed r204433: <http://trac.webkit.org/changeset/204433>
Comment 9 WebKit Commit Bot 2016-08-12 16:36:54 PDT
All reviewed patches have been landed.  Closing bug.
Comment 10 Csaba Osztrogonác 2016-08-14 23:25:11 PDT
(In reply to comment #6)
> Why do we need this change? I thought c++14 is already mandatory.

Ping?
Comment 11 Csaba Osztrogonác 2016-08-15 10:19:39 PDT
(In reply to comment #6)
> Why do we need this change? I thought c++14 is already mandatory.

Sam, please answer this question.
Comment 12 Sam Weinig 2016-08-15 10:36:40 PDT
(In reply to comment #11)
> (In reply to comment #6)
> > Why do we need this change? I thought c++14 is already mandatory.
> 
> Sam, please answer this question.

We have an internal client that is including StdLibExtras.h that can't easily be updated to C++14. That issue should go away in a few weeks at which time we can remove this.
Comment 13 Csaba Osztrogonác 2016-08-15 11:04:21 PDT
(In reply to comment #12)
> (In reply to comment #11)
> > (In reply to comment #6)
> > > Why do we need this change? I thought c++14 is already mandatory.
> > 
> > Sam, please answer this question.
> 
> We have an internal client that is including StdLibExtras.h that can't
> easily be updated to C++14. That issue should go away in a few weeks at
> which time we can remove this.

Thanks for the clarification, it makes sense.
Comment 14 Sam Weinig 2016-08-15 11:38:19 PDT
(In reply to comment #13)
> (In reply to comment #12)
> > (In reply to comment #11)
> > > (In reply to comment #6)
> > > > Why do we need this change? I thought c++14 is already mandatory.
> > > 
> > > Sam, please answer this question.
> > 
> > We have an internal client that is including StdLibExtras.h that can't
> > easily be updated to C++14. That issue should go away in a few weeks at
> > which time we can remove this.
> 
> Thanks for the clarification, it makes sense.

:).